<div style="margin-bottom: 15px;">
    <div *ngIf="(isEmpty === false);then nevergetinterest else evergetinterest"></div>
    <ng-template #nevergetinterest><i>Belum Ada Minat</i><br><br></ng-template>
    <ng-template #evergetinterest>
        <p-dataTable
            [value]="communicationEventProspects"
            [editable]="false"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[5,10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)"
            dataKey="idCommunicationEvent">
            <p-column>
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div class="row">
                        <div class="ui-g-12 ui-md-12">
                            <div class="ui-g">
                                <div class="ui-g-6 ui-sm-6"> {{rowData.productName}} </div>
                                <div class="ui-g-6 ui-sm-6"> Tipe Pembayaran : {{rowData.saleTypeDescription }}</div>
                            </div>
                            <div class="ui-g">
                                <div class="ui-g-6 ui-sm-6"> Warna : {{rowData.colorDescription}} </div>
                                <div class="ui-g-6 ui-sm-6"> Rencana Pembelian : {{rowData.purchasePlan}}</div>
                            </div>
                            <div class="ui-g">
                                <div class="ui-g-6 ui-sm-6"> Qty : {{rowData.qty}} </div>
                            </div>
                            <div class="ui-g">
                                <div class="ui-g-12 ui-sm-12">Catatan :</div>
                                <div class="ui-g-12 ui-sm-12">{{rowData.note}}</div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </p-column>
            <p-column *ngIf="!isDetail" header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="(rowData.currentStatus !== 10);then surcompleted else surnotcompleted"></div>
                    <ng-template #surcompleted>
                        <i>Complete</i>
                    </ng-template>
                    <ng-template #surnotcompleted>
                        <button pButton type="button" 
                            (click)="processToSalesUnitRequirement(rowData)"
                            icon="fa-check"
                            class="flat-button">
                        </button>
                    </ng-template>
                </ng-template>
            </p-column>
        </p-dataTable>
    </ng-template>
</div>

<p-confirmDialog *ngIf="!hasConfirmDialog"></p-confirmDialog>